Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.jmx
Class MxNotificationListener

    java.lang.Object
      org.hyperic.hq.product.jmx.MxNotificationListener

All Implemented Interfaces:
  EventListener, NotificationListener

    public class MxNotificationListener

extends Object
implements NotificationListener

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`MxNotificationListener(LogTrackPlugin plugin)`

Method Summary
`void` | `add()`
`NotificationFilter` | `getFilter()`
`Object` | `getHandback()`
`static MxNotificationListener` | `getInstance(MxNotificationPlugin plugin)`
`void` | `handleNotification(Notification notification, Object handback)`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### MxNotificationListener

    public MxNotificationListener(LogTrackPlugin plugin)

Method Detail

### getInstance

    public static MxNotificationListener getInstance(MxNotificationPlugin plugin)

### getFilter

    public NotificationFilter getFilter()

### getHandback

    public Object getHandback()

### add

    public void add()
             throws PluginException

  Throws:
    `PluginException`

### remove

    public void remove()
                throws PluginException

  Throws:
    `PluginException`

### handleNotification

    public void handleNotification(Notification notification,
                                   Object handback)

  Specified by:
    `handleNotification` in interface `NotificationListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.